function im = fftnc( d )
% FFTNC centered N-dimensional DFT
%    FFTNC(D) returns the centered N-dimensional discrete Fourier 
%    Transform. The FFTSHIFT is done within this function.
%
% See also IFFTNC.
% 
% (c) Joseph Y Cheng (jycheng@mrsrl.stanford.edu) 2010

% SVN info: 
%     Date:     $Date: 2013-06-07 16:46:23 -0700 (Fri, 07 Jun 2013) $
%     Revision: $Revision: 1298 $
%     Author:   $Author: jycheng $
%     Id:       $Id: fftnc.m 1298 2013-06-07 23:46:23Z jycheng $

im = fftshift(fftn(fftshift(d)));