function y = ifftnc( x, gpu )
% IFFTNC centered inverse N-dimensional DFT
%    IFFTNC(D) returns the centered inverse N-dimensional discrete 
%    Fourier Transform. The FFTSHIFT is done within this function.
%
% See also FFTNC.
%
% (c) Joseph Y Cheng (jycheng@mrsrl.stanford.edu) 2010.

% SVN info: 
%     Date:     $Date: 2013-06-07 16:46:23 -0700 (Fri, 07 Jun 2013) $
%     Revision: $Revision: 1298 $
%     Author:   $Author: jycheng $
%     Id:       $Id: ifftnc.m 1298 2013-06-07 23:46:23Z jycheng $

y = fftshift(ifftn(fftshift(x)));
    
